# After.rpms.sh script for Farms Scientific Linux Fermi LTS release 4.4, x86_64, by Karen S. 11/16/2006
#
echo "Farms install completed on `date`" > /var/log/instver.log
echo "/sbin/ifconfig -a " >> /var/log/instver.log
#**********************************************
#  /etc/syslog.conf
#**********************************************
#
cd /etc
if [ "$(grep "auth.*/var/log/secure" /etc/syslog.conf)" = "" ] ; then
        csplit -f auth syslog.conf /"var/log/secure"/+1
        echo "auth.*    /var/log/secure" >> auth00

        cat auth01 >> auth00
        mv auth00 syslog.conf
        rm auth01
fi
###############################################
#Enable and disable services
##############################################
/sbin/chkconfig sendmail on
/sbin/chkconfig kudzu off
/sbin/chkconfig rstatd on
/sbin/chkconfig eklogin on
/sbin/chkconfig klogin on
/sbin/chkconfig kshell on
/sbin/chkconfig telnet on
/sbin/chkconfig isdn off
/sbin/chkconfig cups off
/sbin/chkconfig saslauthd off
########################################################
#Get system keytab
########################################################
HOSTNAME="$(grep HOSTNAME /etc/sysconfig/network | grep -v DHCP | cut -d'=' -f2 | cut -d'.' -f1)"
scp root@fnpcd:/var/adm/sshkey/keytab/fnpc/$HOSTNAME/krb5.keytab /etc
/etc/init.d/sshd restart
